Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.policy
Class CreatePolicyList

    java.lang.Object
      oracle.ifs.admin.tools.BaseTool
          oracle.ifs.admin.tools.policy.CreatePolicyList

    public abstract class CreatePolicyList

extends BaseTool

A CreatePolicyList is an abstract action which can be used to create and assign PolicyLists.

(Unpublished)

Constructor Summary
`CreatePolicyList(java.lang.String[] args)` Constructor.

Method Summary
`protected void` | `addPolicyListElement(LibrarySession session, PolicyList pl, PolicyListElementDefinition pledef)` Add a PolicyListElement to a PolicyList.
`protected void` | `assignClassPolicyList(LibrarySession session, java.lang.String className, PolicyList pl)` Create a PolicyList
`protected Policy` | `createPolicy(LibrarySession session, java.lang.String name, int executionMode, java.lang.String action)` Create a Policy.
`protected PolicyList` | `createPolicyList(LibrarySession session, java.lang.String name)` Create a PolicyList
`protected PolicyList` | `createPolicyList(LibrarySession session, java.lang.String name, PolicyListElementDefinition[] pledefs)` Create a PolicyList.
`protected PolicyListElementDefinition` | `createPolicyListElementDefinition(LibrarySession session, java.lang.String policyName, java.lang.String operationName, long sortSequence)` Create a PolicyListElementDefinition
`protected PolicyList` | `findOrCreateClassPolicyList(LibrarySession session, java.lang.String className)` Find a class-level PolicyList by a specified class name.
`protected ClassObject` | `lookupClassObject(LibrarySession session, java.lang.String name)` Find a ClassObject by name; return null if no ClassObject exists with the specified name.
`protected Policy` | `lookupPolicy(LibrarySession session, java.lang.String name)` Find a policy by name; return null if no policy exists with the specified name.
`protected PolicyList` | `lookupPolicyList(LibrarySession session, java.lang.String name)` Find a PolicyList by name; return null if no PolicyList exists with the specified name.

Methods inherited from class oracle.ifs.admin.tools.BaseTool
`disconnectSession, establishSession, establishSession, gatherCredentials, getDatabaseUrl, getDomain, getDomainDisplayName, getExitCode, getParameterTable, getSchemaName, getSchemaPassword, getServiceConfigurationName, getServiceName, isVerboseLoggingEnabled, log, log, log, printStackTrace, setExitCode, showBanner, showExiting, startService`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreatePolicyList

    public CreatePolicyList(java.lang.String[] args)

  Constructor.

  Parameters:
    `args` - the command-line arguments
  (Unpublished)

Method Detail

### createPolicy

    protected Policy createPolicy(LibrarySession session,
                                  java.lang.String name,
                                  int executionMode,
                                  java.lang.String action)
                           throws IfsException

  Description copied from class: `CreatePolicyList`
  Create a Policy. If a Policy exists with the name specified, it is returned. If this is not desired, the caller should check for existence prior to calling this method.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### findOrCreateClassPolicyList

    protected PolicyList findOrCreateClassPolicyList(LibrarySession session,
                                                     java.lang.String className)
                                              throws IfsException

  Description copied from class: `CreatePolicyList`
  Find a class-level PolicyList by a specified class name. If it does not exist, create one and assign it to the class.

  Parameters:
    `session` - the session
    `className` - ClassObject name
  Returns:
    the ClassObject's PolicyList
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### createPolicyList

    protected PolicyList createPolicyList(LibrarySession session,
                                          java.lang.String name)
                                   throws IfsException

  Description copied from class: `CreatePolicyList`
  Create a PolicyList

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### createPolicyList

    protected PolicyList createPolicyList(LibrarySession session,
                                          java.lang.String name,
                                          PolicyListElementDefinition[] pledefs)
                                   throws IfsException

  Description copied from class: `CreatePolicyList`
  Create a PolicyList. If a PL exists with the name specified, it is returned.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### addPolicyListElement

    protected void addPolicyListElement(LibrarySession session,
                                        PolicyList pl,
                                        PolicyListElementDefinition pledef)
                                 throws IfsException

  Description copied from class: `CreatePolicyList`
  Add a PolicyListElement to a PolicyList.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### createPolicyListElementDefinition

    protected PolicyListElementDefinition createPolicyListElementDefinition(LibrarySession session,
                                                                            java.lang.String policyName,
                                                                            java.lang.String operationName,
                                                                            long sortSequence)
                                                                     throws IfsException

  Description copied from class: `CreatePolicyList`
  Create a PolicyListElementDefinition

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### assignClassPolicyList

    protected void assignClassPolicyList(LibrarySession session,
                                         java.lang.String className,
                                         PolicyList pl)
                                  throws IfsException

  Description copied from class: `CreatePolicyList`
  Create a PolicyList

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### lookupClassObject

    protected ClassObject lookupClassObject(LibrarySession session,
                                            java.lang.String name)
                                     throws IfsException

  Description copied from class: `CreatePolicyList`
  Find a ClassObject by name; return null if no ClassObject exists with the specified name.

  Parameters:
    `session` - the session
    `name` - ClassObject name
  Returns:
    the ClassObject or null if none found
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### lookupPolicy

    protected Policy lookupPolicy(LibrarySession session,
                                  java.lang.String name)
                           throws IfsException

  Description copied from class: `CreatePolicyList`
  Find a policy by name; return null if no policy exists with the specified name.

  Parameters:
    `session` - the session
    `name` - policy name
  Returns:
    the policy or null if none found
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### lookupPolicyList

    protected PolicyList lookupPolicyList(LibrarySession session,
                                          java.lang.String name)
                                   throws IfsException

  Description copied from class: `CreatePolicyList`
  Find a PolicyList by name; return null if no PolicyList exists with the specified name.

  Parameters:
    `session` - the session
    `name` - PolicyList name
  Returns:
    the PolicyList or null if none found
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD